<?php
$result = sql_select_field(ADDON_PARTS_TABLE, 'part_id', "part_type = 'table'");
while ($row = sql_fetch_assoc($result)) {
    $addons_tables[$row['part_id']] = 1;
}
$list_text = '';
$tables = [];
$path = $config['site_path'] . '/temp/';
$file_name = 'check_calc_list.html';
$file_path = $path . $file_name;
@unlink($file_path);
run_query('SELECT @cnt:=CONVERT(SUM(LENGTH(id)),SIGNED) FROM ' . $config['table_prefix'] . 'fields WHERE type_field = 5;');
run_query('SELECT @cnt_fields:=COUNT(*) FROM ' . $config['table_prefix'] . 'fields WHERE type_field = 5;');
run_query('SET group_concat_max_len = @cnt  + @cnt_fields - 1;');
$result = run_query('SELECT id, table_id, name_field FROM ' . $config['table_prefix'] . 'fields WHERE (type_field = 5 AND javascript LIKE \'%$one_field%\') OR (javascript REGEXP (SELECT GROUP_CONCAT(DISTINCT id ORDER BY id ASC SEPARATOR \'|\') FROM ' . $config['table_prefix'] . 'fields WHERE type_field = 5));');
if (sql_num_rows($result) > 0) {
    $tables_query = run_query('SELECT id, name_table FROM ' . $config['table_prefix'] . 'tables');
    while ($table = sql_fetch_assoc($tables_query)) {
        $tables[$table['id']] = form_display($table['name_table']);
    }
}
while ($field = sql_fetch_assoc($result)) {
    if (!$addons_tables[$field['table_id']]) {
        $url = $config['site_url'] . '/edit_field.php?table=' . $field['table_id'] . '&field=' . $field['id'];
        $list_text .= '<span>Вычисление в поле <a href="' . $url . '" target="_blank">' . $field['name_field'] . '</a> в таблице <b>' . $tables[$field['table_id']] . '</b>.</span><br>';
    }
}
if ($list_text) {
    $list_text = '<meta charset=\'utf-8\'>' .
        '<h1>Ваша программа обновлена до версии 3.0.0</h1>' .
        '<span>В ходе обновления программы были обновлены поля типа "связь"</span><br><br>' .
        '<span>Необходимо изменить JS вычисления в полях, где могут использоваться поля типа "связь"</span><br><br>' .
        '<span><b>Поля, которые могут работать некорректно:</b></span><br>' .
        $list_text . '<br>' .
        '<span>Данные JS вычисления могут работать неправильно в новой версии, требуется обновить их по инструкции</span><br>' .
        '<span><a target="_blank" href="https://clientbase.ru/help/for_admin_16/javascript/#sing">Ссылка на инструкцию по обновлению кода</a></span>';
    $result = run_query('SELECT id, e_mail FROM ' . $config['table_prefix'] . 'users WHERE group_id = 1 AND arc = 0');
    while ($row = sql_fetch_assoc($result)) {
        sendmail('Ваша программа обновлена до версии 3.0.0', $list_text, $row['e_mail']);
    }
    @file_put_contents($file_path, $list_text);
}